/*
 * Experimental Connected Vehicle API
 * An experimental Connected Vehicle API that allows to request vehicle data and to send commands to the virtual car simulator.
 *
 * OpenAPI spec version: 1.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.swagger.client.api;

import io.swagger.client.ApiException;
import io.swagger.client.model.ErrorResponse;
import io.swagger.client.model.Tires;
import org.junit.Test;
import org.junit.Ignore;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * API tests for TiresApi
 */
@Ignore
public class TiresApiTest {

    private final TiresApi api = new TiresApi();

    
    /**
     * 
     *
     * Get pressure of all tires of the vehicle.
     *
     * @throws ApiException
     *          if the Api call fails
     */
    @Test
    public void getTiresStatusTest() throws ApiException {
        String vehicleId = null;
        Tires response = api.getTiresStatus(vehicleId);

        // TODO: test validations
    }
    
}
